packages:
  all:
    compiler:
      - gcc
      - aocc
      - nvhpc

    providers:
      mpi: [openmpi, intel-oneapi-mpi]
      jpeg: [libjpeg]
      zlib-api: [zlib-ng]
      pkgconfig: [pkgconf]
      szip: [libaec]
      unwind: [libunwind]
      uuid: [libuuid]
      zlib-api: [zlib-ng+compat]


  glibc:
    prefer: ['%gcc@11.2.1']

  jpeg:
    require: ['libjpeg']

  uuid:
    require: ['libuuid']

  zlib-api:
    require: ['zlib-ng +compat']

  zlib-ng:
    require: ['build_system=autotools']
g
